Abonnenten

GET https://sitepush.de/api/subscribers/
curl --request GET \
--url 'https://sitepush.de/api/subscribers/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Einzelheiten Beschreibung
search Optional Zeichenkette Die Suchzeichenfolge.
search_by Optional Zeichenkette Nach welchem Feld suchen Sie? Erlaubte Werte sind: ip , city_name , os_name , browser_name , browser_language , subscribed_on_url.
website_id Optional Ganzzahl
device_type Optional Zeichenkette Erlaubte Werte: desktop , tablet , mobile
continent_code Optional Zeichenkette Erlaubte Werte: AF , AN , AS , EU , NA , OC , SA
country_code Optional Zeichenkette Erlaubte Werte: AF , AX , AL , DZ , AS , AD , AO , AI , AQ , AG , AR , AM , AW , AU , AT , AZ , BS , BH , BD , BB , BY , BE , BZ , BJ , BM , BT , BO , BQ , BA , BW , BV , BR , IO , BN , BG , BF , BI , KH , CM , CA , CV , KY , CF , TD , CL , CN , CX , CC , CO , KM , CG , CD , CK , CR , CI , HR , CU , CW , CY , CZ , DK , DJ , DM , DO , EC , EG , SV , GQ , ER , EE , ET , FK , FO , FJ , FI , FR , GF , PF , TF , GA , GM , GE , DE , GH , GI , GR , GL , GD , GP , GU , GT , GG , GN , GW , GY , HT , HM , VA , HN , HK , HU , IS , IN , ID , IR , IQ , IE , IM , IL , IT , JM , JP , JE , JO , KZ , KE , KI , KP , KR , KW , KG , LA , LV , LB , LS , LR , LY , LI , LT , LU , MO , MK , MG , MW , MY , MV , ML , MT , MH , MQ , MR , MU , YT , MX , FM , MD , MC , MN , ME , MS , MA , MZ , MM , NA , NR , NP , NL , NC , NZ , NI , NE , NG , NU , NF , MP , NO , OM , PK , PW , PS , PA , PG , PY , PE , PH , PN , PL , PT , PR , QA , RE , RO , RU , RW , BL , SH , KN , LC , MF , PM , VC , WS , SM , ST , SA , SN , RS , SC , SL , SG , SX , SK , SI , SB , SO , ZA , GS , SS , ES , LK , SD , SR , SJ , SZ , SE , CH , SY , TW , TJ , TZ , TH , TL , TG , TK , TO , TT , TN , TR , TM , TC , TV , UG , UA , AE , GB , US , UM , UY , UZ , VU , VE , VN , VG , VI , WF , EH , YE , ZM , ZW
order_by Optional Zeichenkette Nach welchem Feld die Ergebnisse sortiert werden sollen. Erlaubte Werte sind: subscriber_id , datetime , last_datetime , last_sent_datetime , total_sent_push_notifications.
order_type Optional Zeichenkette Die Anordnung der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Anordnung und DESC für absteigende Anordnung.
page Optional Ganzzahl Die Seitennummer, von der Sie Ergebnisse wünschen. Standardmäßig 1.
results_per_page Optional Ganzzahl Wie viele Ergebnisse möchten Sie pro Seite? Erlaubte Werte sind: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardmäßig 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "unique_endpoint_id": "20cdca6b287865a34365f8df7f0d57af",
            "endpoint": null,
            "ip": "**.***.***.*",
            "custom_parameters": [],
            "city_name": "Bucharest",
            "country_code": "RO",
            "continent_code": "EU",
            "os_name": "OS X",
            "browser_name": "Chrome",
            "browser_language": "en",
            "device_type": "desktop",
            "subscribed_on_url": "https://example.com/page",
            "total_sent_push_notifications": 1,
            "total_displayed_push_notifications": 1,
            "total_clicked_push_notifications": 1,
            "total_closed_push_notifications": 0,
            "last_sent_datetime": "2024-08-03 19:27:34",
            "last_datetime": null,
            "datetime": "2026-03-01 15:58:07",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://sitepush.de/api/subscribers?page=1",
        "last": "https://sitepush.de/api/subscribers?page=1",
        "next": null,
        "prev": null,
        "self": "https://sitepush.de/api/subscribers?page=1"
    }
}
GET https://sitepush.de/api/subscribers/{subscriber_id}
curl --request GET \
--url 'https://sitepush.de/api/subscribers/{subscriber_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "unique_endpoint_id": "20cdca6b287865a34365f8df7f0d57af",
        "endpoint": null,
        "ip": "**.***.***.*",
        "custom_parameters": [],
        "city_name": "Bucharest",
        "country_code": "RO",
        "continent_code": "EU",
        "os_name": "OS X",
        "browser_name": "Chrome",
        "browser_language": "en",
        "device_type": "desktop",
        "subscribed_on_url": "https://example.com/page",
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 0,
        "last_sent_datetime": "2024-08-03 19:27:34",
        "last_datetime": null,
        "datetime": "2026-03-01 15:58:07",
    }
}
POST https://sitepush.de/api/subscribers/{subscriber_id}
Parameter Einzelheiten Beschreibung
custom_parameter_key[index] Optional Zeichenkette -
custom_parameter_value[index] Optional Zeichenkette -
curl --request POST \
--url 'https://sitepush.de/api/subscribers/{subscriber_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'custom_parameter_key[0]=name' \
--form 'custom_parameter_value[0]=john@example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://sitepush.de/api/subscribers/{subscriber_id}
curl --request DELETE \
--url 'https://sitepush.de/api/subscribers/{subscriber_id}' \
--header 'Authorization: Bearer {api_key}' \